package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ContactsBean {

    /**
     * createdBy : 111
     * createdByName : null
     * createdTime : 2019-11-25 11:31:32
     * updatedBy : 143
     * updatedByName : null
     * updatedTime : 2019-12-31 13:49:23
     * id : 40
     * name : 北京首鑫联合耐火材料有限公司1
     * contacter : 吕届蜂
     * address : No 1173 Street , Ste. 7681
     * phone : 15020055000
     * erpId : 89
     * productId : null
     * partTypeRelList : null
     * processRelList : null
     * processList : null
     * referProcessList : null
     * partTypeNames : 供应商
     * partTypeCode : null
     * accountId : null
     * accountName : null
     * deptName : null
     * channelPrice : null
     * deptIdList : null
     * supplier : null
     * customer : null
     * transporters : null
     * processes : null
     */

    private int createdBy;
    private Object createdByName;
    private String createdTime;
    private int updatedBy;
    private Object updatedByName;
    private String updatedTime;
    private int id;
    private String name;
    private String contacter;
    private String address;
    private String phone;
    private String erpId;
    private Object productId;
    private List<PartTypeRelListBean>  partTypeRelList;
    private Object processRelList;
    private List<ProcessListBean> processList;
    private Object referProcessList;
    private String partTypeNames;
    private Object partTypeCode;
    private Object accountId;
    private Object accountName;
    private Object deptName;
    private Object channelPrice;
    private Object deptIdList;
    private Object supplier;
    private Object customer;
    private Object transporters;
    private Object processes;

    public int getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(int createdBy) {
        this.createdBy = createdBy;
    }

    public Object getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(Object createdByName) {
        this.createdByName = createdByName;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public int getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(int updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Object getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(Object updatedByName) {
        this.updatedByName = updatedByName;
    }

    public String getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(String updatedTime) {
        this.updatedTime = updatedTime;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacter() {
        return contacter;
    }

    public void setContacter(String contacter) {
        this.contacter = contacter;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getErpId() {
        return erpId;
    }

    public void setErpId(String erpId) {
        this.erpId = erpId;
    }

    public Object getProductId() {
        return productId;
    }

    public void setProductId(Object productId) {
        this.productId = productId;
    }

    public List<PartTypeRelListBean> getPartTypeRelList() {
        return partTypeRelList;
    }

    public void setPartTypeRelList(List<PartTypeRelListBean> partTypeRelList) {
        this.partTypeRelList = partTypeRelList;
    }

    public Object getProcessRelList() {
        return processRelList;
    }

    public void setProcessRelList(Object processRelList) {
        this.processRelList = processRelList;
    }

    public List<ProcessListBean> getProcessList() {
        return processList;
    }

    public void setProcessList(List<ProcessListBean> processList) {
        this.processList = processList;
    }

    public Object getReferProcessList() {
        return referProcessList;
    }

    public void setReferProcessList(Object referProcessList) {
        this.referProcessList = referProcessList;
    }

    public String getPartTypeNames() {
        return partTypeNames;
    }

    public void setPartTypeNames(String partTypeNames) {
        this.partTypeNames = partTypeNames;
    }

    public Object getPartTypeCode() {
        return partTypeCode;
    }

    public void setPartTypeCode(Object partTypeCode) {
        this.partTypeCode = partTypeCode;
    }

    public Object getAccountId() {
        return accountId;
    }

    public void setAccountId(Object accountId) {
        this.accountId = accountId;
    }

    public Object getAccountName() {
        return accountName;
    }

    public void setAccountName(Object accountName) {
        this.accountName = accountName;
    }

    public Object getDeptName() {
        return deptName;
    }

    public void setDeptName(Object deptName) {
        this.deptName = deptName;
    }

    public Object getChannelPrice() {
        return channelPrice;
    }

    public void setChannelPrice(Object channelPrice) {
        this.channelPrice = channelPrice;
    }

    public Object getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(Object deptIdList) {
        this.deptIdList = deptIdList;
    }

    public Object getSupplier() {
        return supplier;
    }

    public void setSupplier(Object supplier) {
        this.supplier = supplier;
    }

    public Object getCustomer() {
        return customer;
    }

    public void setCustomer(Object customer) {
        this.customer = customer;
    }

    public Object getTransporters() {
        return transporters;
    }

    public void setTransporters(Object transporters) {
        this.transporters = transporters;
    }

    public Object getProcesses() {
        return processes;
    }

    public void setProcesses(Object processes) {
        this.processes = processes;
    }

    public static class PartTypeRelListBean {
        /**
         * id : e668bc6969584a02b446b5687d758fca
         * transitPartId : 42
         * transitPartType : CUSTOMER
         * transitPartTypeName : 客户
         * deptId : 122
         * delFlag : 0
         * deptName : 销售二公司
         * accountId : 680
         * accountName : 吴同得
         */

        private String id;
        private int transitPartId;
        private String transitPartType;
        private String transitPartTypeName;
        private int deptId;
        private String delFlag;
        private String deptName;
        private int accountId;
        private String accountName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public int getTransitPartId() {
            return transitPartId;
        }

        public void setTransitPartId(int transitPartId) {
            this.transitPartId = transitPartId;
        }

        public String getTransitPartType() {
            return transitPartType;
        }

        public void setTransitPartType(String transitPartType) {
            this.transitPartType = transitPartType;
        }

        public String getTransitPartTypeName() {
            return transitPartTypeName;
        }

        public void setTransitPartTypeName(String transitPartTypeName) {
            this.transitPartTypeName = transitPartTypeName;
        }

        public int getDeptId() {
            return deptId;
        }

        public void setDeptId(int deptId) {
            this.deptId = deptId;
        }

        public String getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(String delFlag) {
            this.delFlag = delFlag;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public int getAccountId() {
            return accountId;
        }

        public void setAccountId(int accountId) {
            this.accountId = accountId;
        }

        public String getAccountName() {
            return accountName;
        }

        public void setAccountName(String accountName) {
            this.accountName = accountName;
        }
    }

    public static class ProcessListBean {
        /**
         * id : null
         * name : 销售流程
         * item : null
         * subKey : PROCESS_SALE
         * subValue : null
         */

        private Object id;
        private String name;
        private Object item;
        private String subKey;
        private Object subValue;

        public Object getId() {
            return id;
        }

        public void setId(Object id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Object getItem() {
            return item;
        }

        public void setItem(Object item) {
            this.item = item;
        }

        public String getSubKey() {
            return subKey;
        }

        public void setSubKey(String subKey) {
            this.subKey = subKey;
        }

        public Object getSubValue() {
            return subValue;
        }

        public void setSubValue(Object subValue) {
            this.subValue = subValue;
        }
    }
}
